Bug Hunting Session
Bug 46723 - enable configmgr unit tests ...
Summary: enable configmgr unit tests ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-02-28 04:50 UTC by Michael Meeks
Modified: 2017-03-30 08:40 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
makefile for unit test (1.19 KB, text/x-makefile)
2013-06-22 12:19 UTC, Jelle van der Waa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-02-28 04:50:30 UTC
So... the configmgr code has an existing unit test, but this test is not used for anything, which is a shame - since it does some nice multi-threaded access test and would provide a base to extend these tests.

One reason for this disablement is that the UNO-ness it requires has been traditionally required takes -so- much lifting to bootstrap and startup.

Nowadays much of this pain has already been pre-suffered, so we should be able to take a unit test makefile eg.

sc/CppUnitTest_sc_ucalc.mk

and adapt it to configmgr/ - hooking the test into Module_configmgr.mk - cf. the sc/ module.

Of course we need to cut out a big scad of components needed to run the test, and remove almost all of the linked_libs [ check configmgr/prj/build.lst to see what libraries we know are compiled beforehand ].

Possibly if there are dependency issues we want to make this a 'slowcheck' target, that we know will be built rather later in the process.

Then we want to enable the configmgr/qa/unit/unit.cxx test - remove the version map in there, and try to make it complete :-)

Help / incremental patches towards that much appreciated.

Thanks.
Comment 1 Florian Reisinger 2012-05-18 09:23:47 UTC
Deleted "Easyhack" from summary.
Comment 2 Jelle van der Waa 2013-06-22 12:19:22 UTC
Created attachment 81213 [details]
makefile for unit test

Ok I've been working on this bug. I've added these changes to the unit and current module.mk http://sprunge.us/MjKj

But I seem to miss an include, but I don't know how to fix this issue, I'm stuck ;).
/home/jelle/media/core/configmgr/qa/unit/test.cxx:24:45: fatal error: com/sun/star/beans/NamedValue.hpp: No such file or directory
 #include "com/sun/star/beans/NamedValue.hpp"
Comment 3 Commit Notification 2013-09-10 15:49:49 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8c26959deac60eb2b7bec7a36fccacd95914304

fdo#46723 enable configmgr unit tests



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Meeks 2013-09-10 16:56:23 UTC
Hey - thanks so much for fixing this - I've pushed another makefile cleanup; with this I think we should git rm the data.xcd - we can now operate inside unit tests on the real configuration for LibreOffice ...

So - we should port the individual tests to use real config paths that exist in the configuration instead of trying to use the data.xcd paths that don't exist :-)

We should prolly also add one or two of Noel's new-style configuration accessors in there, just to exercise them a bit - in fact, Noel would be an excellent mentor for the rest of this issue.

Thanks !
Comment 5 Stephan Bergmann 2013-09-11 10:08:23 UTC
(In reply to comment #3)
> Jelle van der Waa committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=e8c26959deac60eb2b7bec7a36fccacd95914304
> 
> fdo#46723 enable configmgr unit tests

but CppunitTest_configmgr_unit is still commented out in configmgr/Module_configmgr.mk?
Comment 6 Michael Meeks 2013-09-11 10:53:22 UTC
Sure - it's commented out because the test fails :-) the tests need porting to use keys inside the default LibreOffice config schema, and then life will be better I think.
Comment 7 Björn Michaelsen 2013-10-04 18:46:03 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 8 Robinson Tryon (qubit) 2013-10-19 00:57:34 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2015-02-11 09:01:37 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d49bc78f22d7f7403f1f885f15b1d3dd2840cf0d

tdf#46723 - enable configmgr unit tests

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-14 07:00:08 UTC Comment hidden (obsolete)
Comment 11 Robinson Tryon (qubit) 2016-02-18 14:52:01 UTC Comment hidden (obsolete)
Comment 12 jani 2016-05-05 05:49:12 UTC
seems solved
Comment 13 Commit Notification 2017-03-30 08:40:26 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c88d5f0268b242793ab5baa45949f695b77c2f78

data.xcd dead after tdf#46723 - enable configmgr unit tests

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.